## 1. Definitions
"Provider" means Georgy Marchuk, author of this software.   
“Application” means any software, application, or elements that Your Licensed Developers develop using the Software or Modifications in accordance with this Agreement.  
“End User” means an end user of Your Application who acquires a license to such solely for their own use and not for distribution, resale, user interface design, or software development purposes.  
“Licensed Project” shall mean an individual project, usually with single domain name and single purpose, for which you are permitted to use the Software and make Modifications for your Applications.  
“Modification” means any revision, adaptation, or derivative of the Software produced by You.  
The “Software” means Blobity.  

## 2. Commercial license grant
Subject to the terms of this Agreement, Provider grants to You a revocable, non-exclusive, non-transferable license: (i) for one (1) Licensed Project to use the Software to create Modifications and Applications; (ii) for You to distribute the Software and/or Modifications to an unlimited number of End Users solely as integrated into the Applications; and (iii) for End Users to use the Software as incorporated into Your Applications in accordance with the terms of this Agreement.

This license grants you to use Blobity for one Application, regardless of the size of the team working on the Application. It is not exclusive — others companies and developers can use Blobity — and is non-transferable — you cannot transfer this license to another person, company or project.

You are entitled to receive all updates to the major version of the Software licensed by you, as well as any later version of the Software that Provider, in writing, explicitly authorizes you to use. Provider makes no representation that any update will be compatible with your Application.

You can use this license with Blobity versions 1.x.x, as well as later versions if we authorize. Later versions of Blobity may not be compatible with your Application.

## 3. Ownership
This is a license agreement and not an agreement for sale. Provider reserves ownership of all intellectual property rights inherent in or relating to the Software and corresponding source code, which include all copyright, patent rights, all rights in relation to registered and unregistered trademarks (including service marks), confidential information (including trade secrets and know-how) and all rights other than those expressly granted by this Agreement.

This license is for use of Blobity, not ownership of its intellectual property. Provider continues to own Blobity.

You must not remove, obscure or interfere with any copyright, acknowledgment, attribution, trademark, warning or disclaimer statement affixed to, incorporated in or otherwise applied in connection with the Software. Notwithstanding the above, you are permitted to produce, use, and distribute compressed or “minified” copies of the Software that do not bear the notices contained in the Software’s source code, so long as you otherwise comply with the terms of this license.

When you distribute your work with Blobity, do not remove or change any disclaimers from the source files. You can however minify the source files, which may remove or change the disclaimers.

## 4. Prohibited Uses
Your Application must have substantially different functionality than, and must not compete directly with, the Software.

You cannot create something very similar to Blobity, like a super-Blobity. Make something unique.

You may not distribute the Software or Modifications except as included within Your Application.

If You produce an Application for a customer, You are responsible for ensuring that your customer does not make use of the Software except with Applications licensed herein.

Do not re-package Blobity unless it’s part of your Application.

Likewise, your customer should be using Blobity as part of your Application.

Your Application must not enable End Users to produce separate applications that incorporate the Software or Modifications. For example, if Your Application is a development toolkit or library, an application builder, a website builder that can be used to incorporate the Software into a new Application, You must obtain a separate OEM license from Provider.

You need to purchase a Commercial OEM License if you are creating an interface builder, SDK, or something that produces copies that each use Blobity.

## 5. Termination
This Agreement and the license granted hereunder shall continue until terminated in accordance with this Section. Unless otherwise specified in this Agreement, the license shall last as long as Your use of the Software is in compliance with the terms herein.

This Agreement applies for as long as you use Blobity.

Provider shall have the right to terminate this Agreement and the license granted hereunder immediately if You breach any of the material terms of this Agreement, and You fail to cure such material breach within thirty (30) days of receipt of notice from Provider. Upon termination of this Agreement, all licenses granted to You in this Agreement shall terminate automatically and You shall immediately cease use and distribution of the Software.

We can end this Agreement if you breach any terms, and do not resolve the breach after 30 days after notice from Provider. After termination, you must stop using and distributing Blobity.

Upon termination of this Agreement, You must cease all use of the Software. If, prior to your breach of this Agreement, you delivered Applications incorporating the Software to Your End Users, those End Users’ licenses shall survive termination.

After termination, your end users may continue to use Blobity in products that have already been distributed to them.

## 6. Disclaimer of Warranties
TO THE EXTENT PERMITTED BY LAW, PROVIDER DISCLAIMS ALL WARRANTIES AND CONDITIONS, EITHER EXPRESS OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, IMPLIED WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT, WITH REGARD TO THE SOFTWARE. WE DO NOT GUARANTEE THAT THE OPERATION OF THE SOFTWARE OR YOUR APPLICATION WILL BE UNINTERRUPTED OR ERROR-FREE, AND YOU ACKNOWLEDGE THAT IT IS NOT TECHNICALLY PRACTICABLE FOR US TO DO SO.

We do not claim any warranties or guarantees with using Blobity. There may be bugs, and they might not be fixed at all if Provider does not consider it critical.  

## 7. Limitation of Liabilities
TO THE EXTENT PERMITTED BY LAW, IN NO EVENT SHALL Provider BE LIABLE UNDER ANY LEGAL OR EQUITABLE THEORY FOR ANY SPECIAL, INCIDENTAL, INDIRECT OR CONSEQUENTIAL DAMAGES WHATSOEVER (INCLUDING, WITHOUT LIMITATION, DAMAGES FOR LOSS OF BUSINESS PROFITS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, OR ANY OTHER PECUNIARY LAW) ARISING OUT OF THE USE OF OR INABILITY TO USE THE SOFTWARE OR THE CODE IT PRODUCES OR ANY OTHER SUBJECT MATTER RELATING TO THIS AGREEMENT, EVEN IF Provider HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES. IN ANY CASE, Provider’s ENTIRE LIABILITY WITH RESPECT TO ANY SUBJECT MATTER RELATING TO THIS AGREEMENT SHALL BE LIMITED TO THE GREATER OF THE AMOUNT ACTUALLY PAID BY YOU FOR THE LICENSE.

We aren’t liable if your business is harmed or you lose money as result of using Blobity.

## 8. Indemnification
While redistributing the Software or Modifications thereof as part of Your Application, You may choose to offer acceptance of support, warranty, indemnity, or other liability obligations and/or rights consistent with this Agreement. However, in accepting such obligations, You may act only on Your own behalf and on Your sole responsibility, and not on Provider’s behalf.

While distributing Blobity to your end users, you can offer them support for Blobity, but only on your own behalf. That is your responsibility and not ours.

You agree to indemnify, hold harmless, and defend Provider and its owners, officers, agents, and affiliates from and against any and all claims, lawsuits and proceedings (collectively “Claims”), and all expenses, costs (including attorney's fees), judgments, damages and other liabilities resulting from such Claims, that arise or result from: (i) Your use of the Software in violation of this Agreement; (ii) the use or distribution of Your Application, except to the extent such claim is based solely on the inclusion of the Software therein; (iii) Your Modification of the Software’s source code; or (iv) Your accepting support, warranty, indemnity, or additional liability as described in 

### Section 8.1.

If someone sues Provider as a result of your use of Blobity, you are responsible for any resulting cost to Provider.

## 9. Payment and Taxes
All payments under this Agreement are due to Provider upon Your purchase of a license to the Software.

Each party shall be responsible for all taxes (including, but not limited to, taxes based upon its income) or levies imposed on it under applicable laws, regulations and tax treaties as a result of this Agreement and any payments made hereunder (including those required to be withheld or deducted from payments); provided that You shall be responsible for any value added tax, use tax, sales tax, or similar tax, and shall pay or reimburse Provider for the same upon invoice. Each party shall furnish evidence of such paid taxes as is sufficient to enable the other party to obtain any credits available to it, including original tax withholding certificates.

We are each responsible for any taxes that we owe as a result of this agreement.

## 10. Miscellaneous
Software Updates and Upgrades. The license granted herein applies only to the version of the Software available when purchased in connection with the terms of this Agreement, and to any updates and/or upgrades to which You may be entitled. Any previous or subsequent license granted to You for use of the Software shall be governed by the terms and conditions of the agreement entered in connection with purchase or download of that version of the Software.

**Survival.** The provisions of sections 4 through 10 will survive termination of this Agreement.

**Compliance with Applicable Laws.** You agree that You will comply with all applicable laws and regulations with respect to the Software, including without limitation all export control laws and regulations.

**Assignment.** This Agreement may be assigned by Provider in whole or in part and will inure to the benefit of Provider’s successors and assigns. You may not assign or transfer this Agreement without Provider’s prior written consent. Notwithstanding the foregoing, however, if You transfer ownership of an Application to a customer for which it was developed, You may assign this Agreement to that customer (the “Assignee”) provided: (i) You provide written notice to Provider prior to the effective date of such assignment; and (ii) there is a written agreement, wherein the Assignee accepts the terms of this Agreement.

You may assign this license to a customer, or another company or organization, so long as you get our written permission.

**Entire Agreement.** The terms and conditions stated herein set forth the entire agreement of the parties and replace and supersede all other contracts, agreements, and understandings, written or oral, relating to the subject matter hereof.

Your use of Blobity is governed only by this agreement.

**Severability.** In the event that any portion of this Agreement is held to be unenforceable, such portions shall not limit or otherwise modify or affect any other portion of this Agreement.

If there is a problem with any part of this agreement, the rest of the agreement will remain in place.

**Modification; Waiver.** This Agreement cannot be amended except by a written instrument executed by each of the parties. The failure of either party to enforce any provision of this Agreement may not be deemed a waiver of that or any other provision of this Agreement.

No changes to this Agreement, unless we confirm it in writing. All of these terms remain enforceable even if we don't enforce them at every opportunity.

**Governing Law.** This Agreement is governed by the laws of the Czech Republic (notwithstanding conflicts of laws provisions), and all parties irrevocably submit to the jurisdiction of the state or federal courts of the Czech Republic and further agree to commence any litigation which may arise hereunder in the state or federal courts located in the judicial district of the Czech Republic. The UN Convention on Contracts for the International Sale of Goods is expressly excluded.

This agreement is governed by Czech Republic laws and, if necessary, will be enforced in Czech Republic courts.

**Government Use.** If the Software or any related documentation is licensed to the U.S. Government or any agency thereof, it will be considered to be “commercial computer software” or “commercial computer software documentation,” as those terms are used in 48 CFR § 12.212 or 48 CFR § 227.7202, and is being licensed with only those rights as are granted to all other licensees as set forth in this Agreement.
